------------------------------------------------------------------------------------
--Name:  	201224[简体征服][任务脚本]战士觉醒任务-挑战阿瑞斯
--Creator:	郑洵
--Created:	2020-12-24
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>105


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(91,142)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)


-- 创建，玩家
local hero = CppScriptMgr:QueryHero()

hero:SetPos(91,142)
hero:SetDir(4)
local sex = hero:GetSex()
local touxiang = "NPCBust_npc27064"
if sex == 2 then 
	touxiang = "NPCBust_npc185"
end

-- 阿瑞斯（有半身像）说话
CppScriptMgr:NpcCallOut("My will was forged by blood and glory! Get ready to shed some blood!\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27642", 150, 430, "Ares", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- 萧无定（有半身像）说话
CppScriptMgr:NpcCallOut("Hero, don`t be intimidated by fear. Remember what I said.\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27644", 150, 430, "General Xiao", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- 主角（有半身像）说话
CppScriptMgr:NpcCallOut("Know your enemies and know yourself, you will not be imperiled in a hundred battles.\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- 萧无定（有半身像）说话
CppScriptMgr:NpcCallOut("Good! Remember! Ares will put a blood spell on you every 7 seconds. 5 layers of the blood spell will decrease your HP by 50%%, and 10 layers will put you to death.\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27644", 150, 430, "General Xiao", 250, 655)
CppScriptMgr:WaitMilSec(4000)

-- 主角（有半身像）说话
CppScriptMgr:NpcCallOut("What should I do then?\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(1500)

-- 萧无定（有半身像）说话
CppScriptMgr:NpcCallOut("Don`t worry. Let me help you! I`ll put up a purifying array, which will help you clear away the blood spell when you stand on it.\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27644", 150, 430, "General Xiao", 250, 655)
CppScriptMgr:WaitMilSec(3000)

-- 主角（有半身像）说话
CppScriptMgr:NpcCallOut("Thanks, General Xiao! I won`t let you down!\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(1500)





